org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Enum ResourceComputationScheduler.ComputationState

- java.lang.Object
- - java.lang.Enum<ResourceComputationScheduler.ComputationState>
  - - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceComputationScheduler.ComputationState

All Implemented Interfaces:
  Serializable, Comparable<ResourceComputationScheduler.ComputationState>

Enclosing class:
  ResourceComputationScheduler<T>

    public static enum ResourceComputationScheduler.ComputationState
    extends Enum<ResourceComputationScheduler.ComputationState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FAILED` Computation is over and has failed.
`FINISHED` Computation is over and tear-down + post-treatments are finished.
`FINISHING` Computation is over, tear-down and post-treatments are starting.
`SCHEDULED` Computation is set-up and scheduled.
`SETTING_UP` Computation is setting-up (preparing pools and so on).

### Method Summary

All Methods Static Methods Concrete Methods
`static ResourceComputationScheduler.ComputationState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResourceComputationScheduler.ComputationState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SETTING_UP

    public static final ResourceComputationScheduler.ComputationState SETTING_UP

Computation is setting-up (preparing pools and so on).

#### SCHEDULED

    public static final ResourceComputationScheduler.ComputationState SCHEDULED

Computation is set-up and scheduled.

#### FINISHING

    public static final ResourceComputationScheduler.ComputationState FINISHING

Computation is over, tear-down and post-treatments are starting.

#### FAILED

    public static final ResourceComputationScheduler.ComputationState FAILED

Computation is over and has failed.

#### FINISHED

    public static final ResourceComputationScheduler.ComputationState FINISHED

Computation is over and tear-down + post-treatments are finished.

### Method Detail

#### values

    public static ResourceComputationScheduler.ComputationState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ResourceComputationScheduler.ComputationState c : ResourceComputationScheduler.ComputationState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ResourceComputationScheduler.ComputationState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null